# Rankings Endpoint

This endpoint returns information on all rankings, split into rankings per weightclass. This information is kept up to date every hour.

## **Endpoint URLs:**

| `https://dde-api.data.imgarena.com/mma/rankings` |
| ------------------------------------------------ |

## **Required Headers**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

## **Request Parameters**

This endpoint can be requested just by requesting the rankings for a certain weightclass. e.g. \&weightclass={weightclassId}.

| Parameter | Description |
| --------- | ----------- |
|           |             |

## **Response Model:**

### **PoundForPound Object**

| Field Name      | Type   | Description                                                                                                                  |
| --------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| poundForPound   | array  | contains the pound for pound ranking for all fighters. information is only returned back when a weight class isn't specified |
| weightClasses   | object | contains details of the given weight class                                                                                   |
| fighterRankings | array  | contains details about the rankings for a given weight class                                                                 |

### **poundForPound Array**

| Field Name      | Type    | Description                                 |
| --------------- | ------- | ------------------------------------------- |
| rank            | integer | the rank of the current fighter             |
| lastName        | string  | the last name of the fighter                |
| firstName       | string  | the first name of the fighter               |
| nickName        | string  | the nickname of the fighter                 |
| Id              | integer | the ID of the fighter                       |
| interimChampion | boolean | true if the fighter is interim champion     |
| previousRank    | integer | the previous rank of the fighter            |
| record          | object  | the fighters ufc W/L/D/NC record in the UFC |

### **Record Object**

| Field Name | Type    | Description                                           |
| ---------- | ------- | ----------------------------------------------------- |
| wins       | integer | The number of wins in the UFC for that fighter        |
| losses     | integer | The number of losses in the UFC for that fighter      |
| draws      | integer | The number of draws in the UFC for that fighter       |
| noContests | integer | The number of no contests in the UFC for that fighter |

### **Weightclasses Object**

| Field Name   | Type   | Description                                |
| ------------ | ------ | ------------------------------------------ |
| weight       | string | The weight range of the weightclass, in LB |
| description  | string | A description of the weightclass           |
| id           | int    | The ID of the weightclass                  |
| obsolete     | bool   | Boolean, true if no longer used in UFC     |
| abbreviation | string | Abbreviation of the weightclass            |

### **Fighter Info Object:**

| Field Name      | Type    | Description                                  |
| --------------- | ------- | -------------------------------------------- |
| rank            | string  | The current rank of the fighter              |
| lastName        | string  | the last name of the fighter                 |
| firstName       | string  | the first name of the fighter                |
| nickName        | string  | the nickname of the fighter                  |
| id              | int     | the id of the fighter.                       |
| previousRank    | integer | The previous rank of the fighter             |
| interimChampion | boolean | True if fighter is the interim champion      |
| record          | object  | The fighter’s UFC W/L/D/NC record in the UFC |

### **Record Object**

| Field Name | Type    | Description                                           |
| ---------- | ------- | ----------------------------------------------------- |
| wins       | integer | The number of wins in the UFC for that fighter        |
| losses     | integer | The number of losses in the UFC for that fighter      |
| draws      | integer | The number of draws in the UFC for that fighter       |
| noContests | integer | The number of no contests in the UFC for that fighter |

## **Sample Response**

```
{
  "poundForPound": [],
  "weightClasses": [
    {
      "fighterRankings": [
        {
          "rank": "champion",
          "lastName": "Pantoja",
          "interimChampion": false,
          "previousRank": "champion",
          "record": {
            "draws": 0,
            "losses": 5,
            "noContests": 0,
            "wins": 28
          },
          "id": 1165,
          "firstName": "Alexandre",
          "nickName": "The Cannibal"
        },
        {
          "rank": 1,
          "lastName": "Royval",
          "interimChampion": false,
          "previousRank": 1,
          "record": {
            "draws": 0,
            "losses": 7,
            "noContests": 0,
            "wins": 17
          },
          "id": 3436,
          "firstName": "Brandon",
          "nickName": "Raw Dawg"
        },
        {
          "rank": 2,
          "lastName": "Moreno",
          "interimChampion": false,
          "previousRank": 2,
          "record": {
            "draws": 2,
            "losses": 8,
            "noContests": 0,
            "wins": 22
          },
          "id": 361,
          "firstName": "Brandon",
          "nickName": "The Assassin Baby"
        },
        {
          "rank": 3,
          "lastName": "Albazi",
          "interimChampion": false,
          "previousRank": 3,
          "record": {
            "draws": 0,
            "losses": 2,
            "noContests": 0,
            "wins": 17
          },
          "id": 3455,
          "firstName": "Amir",
          "nickName": "The Prince"
        },
        {
          "rank": 4,
          "lastName": "Kara-France",
          "interimChampion": false,
          "previousRank": 4,
          "record": {
            "draws": 0,
            "losses": 11,
            "noContests": 1,
            "wins": 25
          },
          "id": 1858,
          "firstName": "Kai",
          "nickName": "Don't Blink"
        },
        {
          "rank": 5,
          "lastName": "Taira",
          "interimChampion": false,
          "previousRank": 5,
          "record": {
            "draws": 0,
            "losses": 1,
            "noContests": 0,
            "wins": 16
          },
          "id": 3794,
          "firstName": "Tatsuro",
          "nickName": null
        },
        {
          "rank": 6,
          "lastName": "Perez",
          "interimChampion": false,
          "previousRank": 6,
          "record": {
            "draws": 0,
            "losses": 9,
            "noContests": 0,
            "wins": 25
          },
          "id": 926,
          "firstName": "Alex",
          "nickName": null
        },
        {
          "rank": 7,
          "lastName": "Almabayev",
          "interimChampion": false,
          "previousRank": 7,
          "record": {
            "draws": 0,
            "losses": 2,
            "noContests": 0,
            "wins": 21
          },
          "id": 4024,
          "firstName": "Asu",
          "nickName": "Zulfikar"
        },
        {
          "rank": 8,
          "lastName": "Kape",
          "interimChampion": false,
          "previousRank": 8,
          "record": {
            "draws": 0,
            "losses": 7,
            "noContests": 0,
            "wins": 19
          },
          "id": 3432,
          "firstName": "Manel",
          "nickName": "StarBoy"
        },
        {
          "rank": 9,
          "lastName": "Erceg",
          "interimChampion": false,
          "previousRank": 9,
          "record": {
            "draws": 0,
            "losses": 3,
            "noContests": 0,
            "wins": 12
          },
          "id": 3882,
          "firstName": "Steve",
          "nickName": "Astroboy"
        },
        {
          "rank": 10,
          "lastName": "Nicolau",
          "interimChampion": false,
          "previousRank": 10,
          "record": {
            "draws": 1,
            "losses": 6,
            "noContests": 0,
            "wins": 19
          },
          "id": 1972,
          "firstName": "Matheus",
          "nickName": null
        },
        {
          "rank": 11,
          "lastName": "Elliott",
          "interimChampion": false,
          "previousRank": 11,
          "record": {
            "draws": 1,
            "losses": 13,
            "noContests": 0,
            "wins": 21
          },
          "id": 1122,
          "firstName": "Tim",
          "nickName": null
        },
        {
          "rank": 12,
          "lastName": "Ulanbekov",
          "interimChampion": false,
          "previousRank": 12,
          "record": {
            "draws": 0,
            "losses": 2,
            "noContests": 0,
            "wins": 15
          },
          "id": 3437,
          "firstName": "Tagir",
          "nickName": null
        },
        {
          "rank": 13,
          "lastName": "Silva",
          "interimChampion": false,
          "previousRank": 13,
          "record": {
            "draws": 2,
            "losses": 5,
            "noContests": 1,
            "wins": 14
          },
          "id": 3246,
          "firstName": "Bruno",
          "nickName": "Bulldog"
        },
        {
          "rank": 14,
          "lastName": "Durden",
          "interimChampion": false,
          "previousRank": 14,
          "record": {
            "draws": 1,
            "losses": 6,
            "noContests": 0,
            "wins": 17
          },
          "id": 3506,
          "firstName": "Cody",
          "nickName": "Custom Made"
        },
        {
          "rank": 15,
          "lastName": "Johnson",
          "interimChampion": false,
          "previousRank": 15,
          "record": {
            "draws": 0,
            "losses": 6,
            "noContests": 0,
            "wins": 17
          },
          "id": 3801,
          "firstName": "Charles",
          "nickName": "InnerG"
        }
      ],
      "weightClass": {
        "weight": "116-125",
        "description": "Flyweight",
        "id": 19,
        "obsolete": false,
        "abbreviation": "FLW"
      }
    },
    {
      "fighterRankings": [
        {
          "rank": "champion",
          "lastName": "Pereira",
          "interimChampion": false,
          "previousRank": "champion",
          "record": {
            "draws": 0,
            "losses": 2,
            "noContests": 0,
            "wins": 12
          },
          "id": 3524,
          "firstName": "Alex",
          "nickName": "Poatan"
        },
        {
          "rank": 1,
          "lastName": "Ankalaev",
          "interimChampion": false,
          "previousRank": 1,
          "record": {
            "draws": 1,
            "losses": 1,
            "noContests": 1,
            "wins": 20
          },
          "id": 404,
          "firstName": "Magomed",
          "nickName": null
        },
        {
          "rank": 2,
          "lastName": "Prochazka",
          "interimChampion": false,
          "previousRank": 1,
          "record": {
            "draws": 1,
            "losses": 5,
            "noContests": 0,
            "wins": 30
          },
          "id": 3406,
          "firstName": "Jiri",
          "nickName": null
        },
        {
          "rank": 3,
          "lastName": "Hill",
          "interimChampion": false,
          "previousRank": 3,
          "record": {
            "draws": 0,
            "losses": 2,
            "noContests": 1,
            "wins": 12
          },
          "id": 3316,
          "firstName": "Jamahal",
          "nickName": "Sweet Dreams"
        },
        {
          "rank": 4,
          "lastName": "Blachowicz",
          "interimChampion": false,
          "previousRank": 4,
          "record": {
            "draws": 1,
            "losses": 10,
            "noContests": 0,
            "wins": 29
          },
          "id": 1079,
          "firstName": "Jan",
          "nickName": null
        },
        {
          "rank": 5,
          "lastName": "Rakic",
          "interimChampion": false,
          "previousRank": 5,
          "record": {
            "draws": 0,
            "losses": 5,
            "noContests": 0,
            "wins": 14
          },
          "id": 2525,
          "firstName": "Aleksandar",
          "nickName": "Rocket"
        },
        {
          "rank": 6,
          "lastName": "Rountree Jr.",
          "interimChampion": false,
          "previousRank": 7,
          "record": {
            "draws": 0,
            "losses": 6,
            "noContests": 1,
            "wins": 14
          },
          "id": 821,
          "firstName": "Khalil",
          "nickName": null
        },
        {
          "rank": 6,
          "lastName": "Krylov",
          "interimChampion": false,
          "previousRank": 6,
          "record": {
            "draws": 0,
            "losses": 9,
            "noContests": 0,
            "wins": 30
          },
          "id": 1448,
          "firstName": "Nikita",
          "nickName": "The Miner"
        },
        {
          "rank": 8,
          "lastName": "Oezdemir",
          "interimChampion": false,
          "previousRank": 8,
          "record": {
            "draws": 0,
            "losses": 7,
            "noContests": 0,
            "wins": 20
          },
          "id": 2235,
          "firstName": "Volkan",
          "nickName": "No Time"
        },
        {
          "rank": 9,
          "lastName": "Walker",
          "interimChampion": false,
          "previousRank": 9,
          "record": {
            "draws": 0,
            "losses": 9,
            "noContests": 1,
            "wins": 21
          },
          "id": 1415,
          "firstName": "Johnny",
          "nickName": null
        },
        {
          "rank": 10,
          "lastName": "Ulberg",
          "interimChampion": false,
          "previousRank": 10,
          "record": {
            "draws": 0,
            "losses": 1,
            "noContests": 0,
            "wins": 11
          },
          "id": 3580,
          "firstName": "Carlos",
          "nickName": "Black Jag"
        },
        {
          "rank": 11,
          "lastName": "Murzakanov",
          "interimChampion": false,
          "previousRank": 11,
          "record": {
            "draws": 0,
            "losses": 0,
            "noContests": 0,
            "wins": 14
          },
          "id": 1307,
          "firstName": "Azamat",
          "nickName": "The Professional"
        },
        {
          "rank": 12,
          "lastName": "Smith",
          "interimChampion": false,
          "previousRank": 12,
          "record": {
            "draws": 0,
            "losses": 20,
            "noContests": 0,
            "wins": 38
          },
          "id": 681,
          "firstName": "Anthony",
          "nickName": "Lionheart"
        },
        {
          "rank": 12,
          "lastName": "Reyes",
          "interimChampion": false,
          "previousRank": 13,
          "record": {
            "draws": 0,
            "losses": 4,
            "noContests": 0,
            "wins": 13
          },
          "id": 2627,
          "firstName": "Dominick",
          "nickName": "The Devastator"
        },
        {
          "rank": 14,
          "lastName": "Guskov",
          "interimChampion": false,
          "previousRank": 14,
          "record": {
            "draws": 0,
            "losses": 3,
            "noContests": 0,
            "wins": 16
          },
          "id": 4154,
          "firstName": "Bogdan",
          "nickName": "Czarevitch"
        },
        {
          "rank": 15,
          "lastName": "Menifield",
          "interimChampion": false,
          "previousRank": 15,
          "record": {
            "draws": 1,
            "losses": 5,
            "noContests": 0,
            "wins": 15
          },
          "id": 226,
          "firstName": "Alonzo",
          "nickName": "Atomic"
        }
      ],
      "weightClass": {
        "weight": "186-205",
        "description": "Light Heavyweight",
        "id": 4,
        "obsolete": false,
        "abbreviation": "LHW"
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-media/schedule-endpoints-restful/rankings-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
